EBook::Ishmael::Dir(3)

NAME
EBook::Ishmael::Dir - Get list of files from directory

SYNOPSIS
  use EBook::Ishmael::Dir;

  my @files = dir('/');

DESCRIPTION
EBook::Ishmael::Dir is a module that provides the "dir()" subroutine. This is developer documentation, for ishmael user documentation you should consult its manual.

SUBROUTINES

@f = dir($dir)
    Returns list of files in $dir, sorted. Don't sort the list it returns, for some reason the list decays into $dir. No idea why.

AUTHOR
Written by Samuel Young, <samyoung12788@gmail.com>.

This project's source can be found on its Codeberg Page <https://codeberg.org/1-1sam/ishmael>. Comments and pull requests are welcome!

COPYRIGHT
Copyright (C) 2025 Samuel Young

This program is free software: you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation, either version 3 of the License, or (at your option) any later version.